[Aptitude] Echec de mise à jour...

Le
Dominique Pautrel
Bonjour,

Comme peut-être quelques uns sur la liste je suis un utilisateur très
basique de Debian. D'Aptitude je connais peu, le plus souvent j'ouvre
l'interface, j'appuie sur "u" pour mettre à jour les sources, "U" pour
mettre à jour les paquets automatiquement, puis deux fois "g" pour
obtenir et installer les mises à jour.

Et là j'ai un petit souci : l'installation se bloque et je ne saurais
pas facilement dire pourquoi J'ai remis le nez dans les pages man en
diagonale (mon problème est que je suis toujours pressé) mais n'ai rien
trouvé de probant pour me dépanner. Comme cela fait quelques jours que
je coince je m'en remet à vous

var/log/aptitude ne me cause pas plus que ça :

-

Aptitude 0.4.11.11: journal
jeu., juin 24 2010 16:15:49 +0200

IMPORTANT : ce journal ne contient que les actions demandées ; certaines
actions qui
échouent à cause d'erreurs de dpkg peuvent donc ne pas être réalisées.

477 paquets vont être installés, et 2 retirés.
7963ko d'espace disque vont être utilisés
=
[SUPPRIMÉ, NON UTILISÉ] libiptcdata0
[CONSERVÉ, DÉPENDANCES] libakonadiprivate1
[CONSERVÉ, DÉPENDANCES] mysql-server-5.0
[INSTALLÉ, DÉPENDANCES] libedata-cal1.2-7
etc

-
Je soupconne fortement le paquet *libisc52* d'être le premier à bloquer
(je ne sais pas ou trouver sur fichier ce qui s'affiche à l'écran et
comme cela défile) mais ne connais pas sa raison d'être,
*libbind9-50* dépend de *libisc52*, etc et donc 477 paquets sont
ainsi en attente puisque les mises à jour de sécurité échouent

Merci d'avance pour l'aide au débutant que je suis :-)



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/4C237A04.1050604@laposte.net
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Olivier VARENNE
Le #22293461
Pour stocker la sortie console dans un fichier,

Ajoutez > log (par exemple) apres votre commande.

Par exemple:

SHELL#ls > log

Cela créera un fichier log et stockera dedans le resultat de la commande ls
(par contre plus rien ne s'affiche sur l'ecran)


-----Message d'origine-----
De : Dominique Pautrel [mailto:]
Envoyé : jeudi 24 juin 2010 17:30
À :
Objet : [Aptitude] Echec de mise à jour...

Bonjour,

Comme peut-être quelques uns sur la liste je suis un utilisateur très
basique de Debian. D'Aptitude je connais peu, le plus souvent j'ouvre
l'interface, j'appuie sur "u" pour mettre à jour les sources, "U" pour
mettre à jour les paquets automatiquement, puis deux fois "g" pour
obtenir et installer les mises à jour....

Et là j'ai un petit souci : l'installation se bloque et je ne saurais
pas facilement dire pourquoi... J'ai remis le nez dans les pages man en
diagonale (mon problème est que je suis toujours pressé) mais n'ai rien
trouvé de probant pour me dépanner. Comme cela fait quelques jours que
je coince je m'en remet à vous...

var/log/aptitude ne me cause pas plus que ça :

----

Aptitude 0.4.11.11: journal
jeu., juin 24 2010 16:15:49 +0200

IMPORTANT : ce journal ne contient que les actions demandées ; certaines
actions qui
échouent à cause d'erreurs de dpkg peuvent donc ne pas être réalisées.

477 paquets vont être installés, et 2 retirés.
7963ko d'espace disque vont être utilisés
========================= ========================= ========================= =
===
[SUPPRIMÉ, NON UTILISÉ] libiptcdata0
[CONSERVÉ, DÉPENDANCES] libakonadiprivate1
[CONSERVÉ, DÉPENDANCES] mysql-server-5.0
[INSTALLÉ, DÉPENDANCES] libedata-cal1.2-7
etc... ...

----
Je soupconne fortement le paquet *libisc52* d'être le premier à bloquer
(je ne sais pas ou trouver sur fichier ce qui s'affiche à l'écran et
comme cela défile...) mais ne connais pas sa raison d'être,
*libbind9-50* dépend de *libisc52*, etc... et donc 477 paquets sont
ainsi en attente puisque les mises à jour de sécurité échouent...

Merci d'avance pour l'aide au débutant que je suis... :-)



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/000301cb13b5$e824df50$b86e9df0$@
Sylvain Sauvage
Le #22293571
Olivier VARENNE, jeudi 24 juin 2010, 17:57:11 CEST

Pour stocker la sortie console dans un fichier,

Ajoutez > log (par exemple) apres votre commande.

Par exemple:

SHELL#ls > log

Cela créera un fichier log et stockera dedans le resultat de la comm ande ls
(par contre plus rien ne s'affiche sur l'ecran)



C’est pour cela qu’il y a la commande tee (comme dans tee -shirt) :
$ cmd | tee cmd.log

Mais bon, avec un outil comme l’interface d’aptitude, à §a ne
peut pas fonctionner. Mais comme aptitude fonctionne aussi en
ligne de commande, pas de problème (cf. en bas).

De : Dominique Pautrel [mailto:]
[…]
var/log/aptitude ne me cause pas plus que ça :
[…]



De toute façon ça ne donne que les installations, suppressions
et màj effectuées par aptitude, pas les erreurs…

Donc, pour résumer : tu lances aptitude, tu fais tout comme
avant mais tu remplaces le dernier 'g' par des 'q'. Et en ligne
de commande, tu fais :
# aptitude install 2>&1 | tee sortie-aptitude.log

Et voilà, tu peux l’étudier à loisir et, le cas échéant, nous
le citer (dans ce cas et dans le doute, coupe au minimum, ce
serait bête de couper la ligne intéressante).

Bon courage,
--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22293721
Zut, chassé-croisé…

Dominique Pautrel, jeudi 24 juin 2010, 18:45:09 CEST
[…]
J'ai donc testé :

Aptitude install > log

Sachant que "install" sans autre argument exécutera les commandes en
cours ou différées (cf man)



Oui, c’est pratique…

J'ai retrouvé ce fichier "log" dans home/root. (joint dans ce mail s 'il
veut bien passer - 19Ko)



19 kio de texte, ça passe.

J'ai mis du temps à comprendre, mais ai accepté sa solution ave c "Y"
(vers le milieu du fichier).
Ceci n'a pas réglé mon problème mais vous permettra peut- être de m'y
aider...
Pendant ce temps je m'instruit gentiment...



Bon :

1. Tu a[vai]s des paquets cassés. Tu ne devrais pas lancer
l’installation tant que tu n’as pas réparé ç a. L’interface
d’aptitude te permets de voir les problèmes (tu as le nombre de
paquets cassés et une bande rouge qui s’affiche en bas) et les
solutions proposées et de modifier ces dernières ('e' pour
examiner, '.' et ',' pour voir la suivante/précédente, c’ est
écrit en bas). Tu peux aussi aider le résolveur en forçant
l’installation ou la désinstallation de certains paquets, ou en
lui indiquant ce que tu préfères dans l’écran oà ¹ tu examines les
solutions (p.ex. 'r' sur un paquet signifie « je refuse de faire
ça pour ce paquet »).

2. Il semble en effet que la libisc52 soit en conflit avec la
libisc50 (qu’elle est sans-doute censée remplacer). Tu peux
essayer de marquer la libisc50 à purger…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean-Yves F. Barbier
Le #22293851
Le Thu, 24 Jun 2010 20:03:49 +0200,
Dominique Pautrel
...
j'ai un autre nouveau message d'erreur (KWrite) :

"A KDE text-editor component could not be found.

Please check your KDE installation."



apt-get install --reinstall monpackageamoikejeveumaintenantsurmonmicro

--
<Knghtbrd> glDisable (GL_BUGS);
<Endy> heh
<Endy> Is that in 1.2? :)

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Thierry Chatelet
Le #22296231
On Thursday 24 June 2010 17:30:12 Dominique Pautrel wrote:
Bonjour,

Comme peut-être quelques uns sur la liste je suis un utilisateur très
basique de Debian. D'Aptitude je connais peu, le plus souvent j'ouvre
l'interface, j'appuie sur "u" pour mettre à jour les sources, "U" pour
mettre à jour les paquets automatiquement, puis deux fois "g" pour
obtenir et installer les mises à jour....

Et là j'ai un petit souci : l'installation se bloque et je ne saurais
pas facilement dire pourquoi... J'ai remis le nez dans les pages man en
diagonale (mon problème est que je suis toujours pressé) mais n'ai ri en
trouvé de probant pour me dépanner. Comme cela fait quelques jours que
je coince je m'en remet à vous...

var/log/aptitude ne me cause pas plus que ça :

----

Aptitude 0.4.11.11: journal
jeu., juin 24 2010 16:15:49 +0200

IMPORTANT : ce journal ne contient que les actions demandées ; certaines
actions qui
échouent à cause d'erreurs de dpkg peuvent donc ne pas être réali sées.

477 paquets vont être installés, et 2 retirés.
7963ko d'espace disque vont être utilisés
======================== ========================= ========================= =
==== [SUPPRIMÉ, NON UTILISÉ] libiptcdata0
[CONSERVÉ, DÉPENDANCES] libakonadiprivate1
[CONSERVÉ, DÉPENDANCES] mysql-server-5.0
[INSTALLÉ, DÉPENDANCES] libedata-cal1.2-7
etc... ...

----
Je soupconne fortement le paquet *libisc52* d'être le premier à bloqu er
(je ne sais pas ou trouver sur fichier ce qui s'affiche à l'écran et
comme cela défile...) mais ne connais pas sa raison d'être,
*libbind9-50* dépend de *libisc52*, etc... et donc 477 paquets sont
ainsi en attente puisque les mises à jour de sécurité échouent...

Merci d'avance pour l'aide au débutant que je suis... :-)



Serais-tu atteint par ce bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugX4585
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Dominique Pautrel
Le #22296321
Thierry Chatelet wrote:
Serais-tu atteint par ce bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugX4585
Thierry




De ce que j'en comprend il semblerait bien que oui...
Une boucle de dépendances qui ne peut se régler seule.

Que devrais-je faire alors d'après toi / d'après vous ?
A) Tenter la réparation adopté par Synx (en bas de la page) ?
B) Serait-il utile que je remonte à mon tour le bug ?

(je ne sais pas comment faire : Il faut écrire à
? et pour y mettre quoi ? Si ça ne fait pas avancer le schmil-blik c'est
du bruit pour rien...)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Dominique Pautrel
Le #22296721
Dominique Pautrel wrote:

Thierry Chatelet wrote:
Serais-tu atteint par ce bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugX4585
Thierry




De ce que j'en comprend il semblerait bien que oui...
Une boucle de dépendances qui ne peut se régler seule.

Que devrais-je faire alors d'après toi / d'après vous ?
A) Tenter la réparation adopté par Synx (en bas de la page) ?


Bon j'ai tenté la démarche de Synx, donc chez moi ça a donné :
# apt-get -f --purge autoremove libisc50- bind9-host- dnsutils-
libbind9-50- libdns555- libisccc50- libisccfg50-

Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
avahi-daemon: Dépend: bind9-host mais ne sera pas installé ou
host

Comme je n'ai pas vu le paquet bind9-host dans le 'fix' de Synx j'ai
retenté légerement différemment :
# apt-get -f --purge autoremove libisc50- dnsutils- libbindÃ9-50-
libdns55- libisccc50- libisccfg50- | tee apt-purge2.log

Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
bind9-host: Dépend: libbind9-50 (= 1:9.6.ESV.R1+dfsg-0+lenny2) mais ne
sera pas installé
Dépend: libdns55 (= 1:9.6.ESV.R1+dfsg-0+lenny2) mais ne
sera pas installé
Dépend: libisc52 (= 1:9.6.ESV.R1+dfsg-0+lenny2) mais ne
sera pas installé
Dépend: libisccc50 mais ne sera pas installé
Dépend: libisccfg50 (= 1:9.6.ESV.R1+dfsg-0+lenny2) mais ne
sera pas installé

Et donc comme vous pouvez le voir ce n'est pas couronné de succès...
Mais peut-être (sans doute) m'y "prends-je" mal ???
B) Serait-il utile que je remonte à mon tour le bug ?

(je ne sais pas comment faire : Il faut écrire à
? et pour y mettre quoi ? Si ça ne fait pas
avancer le schmil-blik c'est du bruit pour rien...)


Question subsidiaire : (A part Ctrl-X/C/V) Je ne connais pas le
copier/coller en mode de ligne de commande. Qu'est-ce ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
steve
Le #22296801
Salut,

Je n'ai pas tout suivi, mais as-tu tenté un

apt-get -f install

comme recommandé dans la sortie d'aptitude ?


Construction de l'arbre des dépendances...
Lecture des informations d'état...
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :



^^^^^^^^^^ ici


Et donc comme vous pouvez le voir ce n'est pas couronné de succès...
Mais peut-être (sans doute) m'y "prends-je" mal ???



Certaines fois on tombe dans ce genre de dépendances en boucle, et cela
met un moment avant de trouver la solution (mais on y arrive souvent, ou
alors on patiente quelques jours et le prochain upgrade règle le
problème).

(je ne sais pas comment faire : Il faut écrire à
? et pour y mettre quoi ? Si ça ne fait pas
avancer le schmil-blik c'est du bruit pour rien...)


Question subsidiaire : (A part Ctrl-X/C/V) Je ne connais pas le
copier/coller en mode de ligne de commande. Qu'est-ce ?



Si tu es sous X, tu sélectionne ton texte et ensuite un double-clic dans
ton client de messagerie collera ce texte.

Bon courage.

s.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Dominique Pautrel
Le #22296841
steve wrote:
Salut,

Je n'ai pas tout suivi, mais as-tu tenté un

apt-get -f install

comme recommandé dans la sortie d'aptitude ?



De ce que j'en voie apt-get réagit - à peu près - comme aptitude :

# apt-get -f install

Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés :
libisc52
Les NOUVEAUX paquets suivants seront installés :
libisc52
0 mis à jour, 1 nouvellement installés, 0 à enlever et 324 non mis à jour.
6 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/154ko dans les archives.
Après cette opération, 401ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer [O/n] ? (Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 100%
(Lecture de la base de données... 147915 fichiers et répertoires déjà
installés.)
Dépaquetage de libisc52 (à partir de
.../libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny2_i386.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny2_i386.deb
(--unpack) :
tentative de remplacement de « /usr/lib/libisc.so.50 », qui appartient
aussi au paquet libisc50 1:9.6.1.dfsg.P3-1
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny2_i386.deb
localepurge: checking system for new locale ...
localepurge: processing locale files ...
localepurge: processing man pages ...

Là encore il me semble que Thierry a raison :

:-)

Serais-tu atteint par ce bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugX4585




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Dominique Pautrel
Le #22321961
Bonjour,

Serais-tu atteint par ce bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugX4585




Bon j'ai fini par contourner le problème en passant par Synaptic. J'ai
supprimé libisc50 puis suis revenu dans Aptitude qui a pu exécuter les
mises à jour restantes...
Certes malgré mon petit niveau sous Linux je vois bien que ce n'est pas
propre comme solution, mais j'ai
malgré tout pu parvenir à mes fins...

Ceci pour conclure par mes humbles remerciements à tous pour votre aide.
:-)

Dominique.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme